//=====================================================================================
//
//     File:			Minimum.r
//     Release Version:	$Revision$
//
//     COPYRIGHT 1993 SYMANTEC CORPORATION. ALL RIGHTS RESERVED. UNPUBLISHED RIGHTS
//     RESERVED UNDER THE COPYRIGHT LAWS OF THE UNITED STATES. USE OF COPYRIGHT
//     NOTICE IS PRECAUTIONARY ONLY AND DOES NOT IMPLY PUBLICATION OR DISCLOSURE.
//
//     THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF SYMANTEC
//     CORPORATION. USE, DISCLOSURE, OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
//     EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
//
//     RESTRICTED RIGHTS LEGEND
//     Use, duplication, or disclosure by the Government is subject to restrictions
//     as set forth in subparagraph (c)(l)(ii) of the Rights in Technical Data and
//     Computer Software clause at DFARS 252.227-7013.
//     Symantec Corporation, 10201 Torre Avenue, Cupertino, CA 95014.
//
//=====================================================================================

#ifndef MINIMUM_H
#include "Minimum.h"
#endif

#ifndef BRTYPES_H
#include "BRTypes.h"
#endif


//=====================================================================================
//  Macintoshes Resources
//=====================================================================================

#ifdef BR_BUILD_MAC

   //
   // The main menu system
   //
  

	resource bclmenu IDS_APPLICATION
	{
	   BR_MenuBar
	   {
			BR_TextMenu("\024")
			{
				BR_MenuItem(cmdAbout,"About MinimumÉ")
			}
			BR_TextMenu("File")
			{
				BR_MenuItem(cmdQuit,"Quit/Q")
			}
			BR_TextMenu("Edit")
			{
				BR_MenuItemSeparator
			}
		}
	};
	
	
	resource bclmenu IDS_WINDOWMENU
	{
		BR_WindowMenu()
		{
			BR_MenuItemSeparator
		}
	};
	
	
	resource bclmenu IDS_HELPMENU
	{
		BR_HelpMenu()
		{
			BR_MenuItemSeparator
		}
	};
	
	
	#pragma native begin
	include $$Shell("BedObjectsFolder")"bcl.res";
	include $$Shell("BedObjectsFolder")"macbcl.res";
	include $$Shell("ObjApp")"minimum" 'CODE';
	#pragma native end
#endif


//=====================================================================================
//  Windows Resources
//=====================================================================================

#ifdef BR_BUILD_WIN
   
   //
   // The main menu system
   //

	resource STRTABLE
	{
		IDS_APPTITLE ,              "Minimum Application";     //the title
		IDS_APPLICATION,            "Minimum.exe";		       //the application name
		IDS_WINDOWMENU,             "Window";
		IDS_HELPMENU,               "Help";
	}
	
	resource bclmenu(IDS_APPLICATION)
	{
		BR_MenuBar
		{
			BR_TextMenu("~File")
			{
				BR_MenuItem (cmdQuit, "E~xit\tCtrl+X")
			}
		}
	};
	
	resource bclmenu(IDS_WINDOWMENU)
	{
		BR_WindowMenu()
		{
		}
	};
	
	resource bclmenu(IDS_HELPMENU)
	{
		BR_HelpMenu()
		{
		}
	};
	
	
	//
	// Windows accelerator keys resources
	//
	
	resource ACCELTABLE IDS_APPLICATION
	{
		BEDVK_UP,      BEDVK_UP,   BEDAT_VIRTUALKEY;   
		'X',    cmdQuit,    BEDAT_CONTROL | BEDAT_CHAR;
	}
	
	resource ICON   IDS_APPLICATION,  "minimum.ico";
	resource CURSOR IDS_APPLICATION,  "minimum.cur";

#endif
